﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class TileBag
    {
        public ReadOnlyMemory<Tile> Tiles {  get ; private set; }
        private List<Tile> tiles = new List<Tile>();

        public TileBag(int nbSet)
        {
            tiles = new List<Tile>();


            for (int i = 0; i < nbSet; i++)
            {
                foreach (Shape s in Enum.GetValues(typeof(Shape)))
                {
                    foreach (Color c in Enum.GetValues(typeof(Color)))
                    {
                        Tile t = new Tile(s, c);
                        tiles.Add(t);
                    }
                }

            }

        }

        public void RemoveTileInBag(Tile tile)
        {
            for (int i = 0; i < tiles.Count; i++)
            {
                if (tiles[i] == tile)
                {
                    tiles.RemoveAt(i);
                }
            }
        }

        public List<Tile> TilesInBag()
        {
            return tiles;
        }
    }

}

